> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Select All



## OpenAPI

````yaml get /billing/invoice/select-all
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/invoice/select-all:
    get:
      tags:
        - provider
        - billing
      summary: Select All
      operationId: select_all_billing_invoice_select_all_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: send_time
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            default: desc
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: search_term
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search Term
        - name: rule_set_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Rule Set Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/InvoiceSetStatus'
              - type: 'null'
            title: Status
        - name: amount
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: integer
              - type: 'null'
            title: Amount
        - name: created_date
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: date-time
              - type: 'null'
            title: Created Date
        - name: send_time
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: date-time
              - type: 'null'
            title: Send Time
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tz
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InvoiceSetForTable'
                title: Response Select All Billing Invoice Select All Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvoiceSetStatus:
      type: string
      enum:
        - ACTIVE
        - PAUSED
        - CANCELLED
        - EXPIRED
        - PAID
        - WILL_FAIL
        - FAILED
      title: InvoiceSetStatus
      description: The status of an invoice set.
    InvoiceSetForTable:
      properties:
        id:
          type: string
          title: Id
        status:
          $ref: '#/components/schemas/InvoiceSetStatus'
        resumedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resumeddate
        pausedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Pauseddate
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        invoices:
          items:
            $ref: '#/components/schemas/InvoiceForTable'
          type: array
          title: Invoices
        patient:
          $ref: '#/components/schemas/PatientInvoicingDetails'
      type: object
      required:
        - id
        - status
        - createdDate
        - invoices
        - patient
      title: InvoiceSetForTable
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvoiceForTable:
      properties:
        id:
          type: string
          title: Id
        method:
          anyOf:
            - $ref: '#/components/schemas/InvoiceMethod'
            - type: 'null'
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        rule:
          anyOf:
            - $ref: '#/components/schemas/RuleDetails'
            - type: 'null'
        amount:
          type: integer
          title: Amount
        sendTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sendtime
        pausedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Pauseddate
        resumedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resumeddate
        methodsAttempted:
          items:
            prefixItems:
              - $ref: '#/components/schemas/InvoiceMethod'
              - type: boolean
              - type: string
            type: array
            maxItems: 3
            minItems: 3
          type: array
          title: Methodsattempted
        failedReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Failedreason
        pdfPath:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdfpath
        emailStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailstatus
        smsContent:
          anyOf:
            - type: string
            - type: 'null'
          title: Smscontent
        callStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Callstatus
      type: object
      required:
        - id
        - status
        - amount
        - methodsAttempted
      title: InvoiceForTable
    PatientInvoicingDetails:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        charges:
          items:
            $ref: '#/components/schemas/ChargeInvoicingDetails'
          type: array
          title: Charges
      type: object
      required:
        - id
        - firstName
        - charges
      title: PatientInvoicingDetails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InvoiceMethod:
      type: string
      enum:
        - CHARGE_CARD
        - SMS
        - EMAIL
        - CALL
        - MAIL
        - EXPIRY
      title: InvoiceMethod
      description: The method used to send an invoice to a patient.
    InvoiceStatus:
      type: string
      enum:
        - PENDING
        - SENT
        - FAILED
        - PAUSED
        - CANCELLED
      title: InvoiceStatus
      description: The status of an invoice.
    RuleDetails:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        methods:
          items:
            $ref: '#/components/schemas/InvoiceMethod'
          type: array
          title: Methods
        delayInDays:
          type: integer
          title: Delayindays
        message:
          type: string
          title: Message
      type: object
      required:
        - id
        - name
        - methods
        - delayInDays
        - message
      title: RuleDetails
    ChargeInvoicingDetails:
      properties:
        id:
          type: string
          title: Id
        createdDate:
          type: string
          format: date-time
          title: Createddate
        totalOutstanding:
          type: integer
          title: Totaloutstanding
        total:
          type: integer
          title: Total
        externalCreatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Externalcreateddate
      type: object
      required:
        - id
        - createdDate
        - totalOutstanding
        - total
      title: ChargeInvoicingDetails

````